Subject: Re: Updated: gmp-4.1.4-1
From: "Gerrit P. Haase" <[email-masked]>
To: Kelley Cook <[email-masked]>
Cc: The Cygwin Mailing List <[email-masked]>
Date: Fri, 15 Oct 2004 17:45:59 +0200

Kelley wrote:

> --- Lapo Luchini <[email-masked]> wrote:

>> gmp-4.1.4-1 has been uploaded to the Cygwin net distribution.
>> 
>> Thanks go to Gerrit, who did *all* the work on this release.
>> 
>> Please notice gmp-4.1.3 had a serious miscomputation bug, upgrade to
>> gmp-4.1.4 is strongly suggested.

> Could it possible to get a version of gmp compiled with --enable-mpfr

This release includes mpfr as a shared library.

> ... or even better libmpfr 2.0.3 compiled and packaged seperately,
> though it has a requirement to be built along with libgmp (The two
> projects teams have split, gmp 4.x is distributed with the two year old
> mpfr 2.0.1.  The next major release of gmp will not include mpfr at
> all).

If mpfr isn't bundled anymore we'll provide a separate package.

> I have compiled and installed it on my own without difficulty.  

> My main reason for requesting this is that GFortran 95, which will come
> with upcoming GCC 4.0, requires libmpfr to build.  Furthermore, the
> main GCC developers have been receptive to the proposal that all of GCC
> 4.1 be modified to use libmpfr for its internal math optimiziations
> instead of its homegrown routines.

Or if it is required to have a more recent mpfr version for this then we
could remove mpfr from the GMP package and build mpfr seperately.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/